Xcode 5.1 problem?

Getting into LiveCode for iOS? Ask your questions here.

Moderators: Klaus, FourthWorld, heatherlaine, robinmiller, kevinmiller

thatkeith
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 257
Joined: Mon Mar 01, 2010 7:13 pm
Location: London, UK
Contact:

Xcode 5.1 problem?

Post by thatkeith » Tue Mar 11, 2014 12:20 pm

I foolishly updated Xcode from 5.0.2 to 5.1. Now the Mobile Support pane in the Preferences window is blank, and when I try to use Add Entry and pick the new version of Xcode (in /Applications, having overwritten the previous version automatically) I'm told that "The chosen folder is not a valid iOS SDK."

I'm stuck. I also *have* to get this working today to hit the deadline of a tutorial I'm writing. Any suggestions?

:cry:
Senior Lecturer, LCC (University of the Arts London)
Technical Editor, MacUser (1996-2015)
360 VR media specialist

LCNeil
Livecode Staff Member
Livecode Staff Member
Posts: 1223
Joined: Wed Oct 03, 2012 4:07 pm

Re: Xcode 5.1 problem?

Post by LCNeil » Tue Mar 11, 2014 12:27 pm

HI Keith,

You will be able to download a previous version of Xcode from the iOs developer portal-

https://developer.apple.com/downloads/i ... name=Xcode

Kind Regards,


Neil Roger
--
RunRev Support Team ~ http://www.runrev.com
——

thatkeith
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 257
Joined: Mon Mar 01, 2010 7:13 pm
Location: London, UK
Contact:

Re: Xcode 5.1 problem?

Post by thatkeith » Tue Mar 11, 2014 12:30 pm

Phew! Thanks. Travelling now, I'll do that as soon as I get to the office. :)
Is it reasonably safe to assume that this won't be an issue in a few months' time? :)
Senior Lecturer, LCC (University of the Arts London)
Technical Editor, MacUser (1996-2015)
360 VR media specialist

LCNeil
Livecode Staff Member
Livecode Staff Member
Posts: 1223
Joined: Wed Oct 03, 2012 4:07 pm

Re: Xcode 5.1 problem?

Post by LCNeil » Tue Mar 11, 2014 12:40 pm

Hi Keith,

Our Quality Control team is investigating this as we speak so there should be a quick turnaround on a fix

Kind Regards,


Neil Roger
--
RunRev Support Team ~ http://www.runrev.com
——

DRJ-UK
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 73
Joined: Tue Aug 23, 2011 2:50 pm
Location: United Kingdom
Contact:

Re: Xcode 5.1 problem?

Post by DRJ-UK » Wed Mar 12, 2014 7:10 pm

Colleagues

Neil's point is helpful and we all look forward to the "Fix" in due course to use Xcode 5.1 and the latest SDK.

Important to remember NOT to update your test iOS devices to iOS 7.1. If you do then you will not be able to test applications built with current versions of LC using Xcode 5.0.2.

Dave
LiveCode: Versions 8.0, 8.1
Xcode: Version 7.3, 8.0
Mac OS X: 10.11.12 (macOS Sierra) on iMacs with 3.4 Intel Core i7 & 16GB Memory

Creating Apps for educational professionals, effective teaching and learning.

hlowe
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 7
Joined: Wed Dec 05, 2012 5:56 am

Re: Xcode 5.1 problem?

Post by hlowe » Wed Mar 12, 2014 8:19 pm

I updated my development iPad to iOS 7.1 and installed the new version of xCode (5.1). Prior to doing so I made copies of the xCode 5.0 folders :

Applications/xCode.app/Developer/Platforms/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS7.0.sdk
Applications/xCode.app/Developer/Platforms/Developer/Platforms/iPhoneSimulator.platform/Developer/SDKs/iPhoneSimulator7.0.sdk

After installing xCode 5.1, I copied them to their respective folders in the new (5.1) version of xCode. While this has worked with previous xCode updates, it does not work this time and I am unable to launch the iOS Simulator from within LC 6.5.2. The Mobile Support Preferences Pane in LC shows a green light and lists the /Applications/Xcode.app/Contents/Developer as being recognized but attempting to launch the iOS Simulator produces a "simulator version not found" error.

I can create a standalone iOS app that runs under iOS 7.1 on the iPad, having coped the xCode 5.0 SDKs into xCode 5.1, but cannot launch the simulator.

When might this be fixed?

Thanks,

Henry

dave.kilroy
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 858
Joined: Wed Jun 24, 2009 1:17 pm
Location: Plymouth, UK
Contact:

Re: Xcode 5.1 problem?

Post by dave.kilroy » Thu Mar 13, 2014 12:35 pm

Hi Henry, I note you are running LiveCode 6.5.2

I'm running LiveCode 6.6 (rc 1) and Xcode 5.0.2 and want to know if it's safe to update to xCode 5.1 yet for this version of LiveCode - has the problem been resolved or should I keep rejecting my Mac's requests to update?
"...this is not the code you are looking for..."

LCNeil
Livecode Staff Member
Livecode Staff Member
Posts: 1223
Joined: Wed Oct 03, 2012 4:07 pm

Re: Xcode 5.1 problem?

Post by LCNeil » Thu Mar 13, 2014 12:42 pm

Hi All,

We are currently implementing a fix and we are aiming to have it resolve in the next RC version of LiveCode. This should be, if timings permit, within the coming days.

Kind Regards,


Neil Roger
--
RunRev Support Team ~ http://www.runrev.com
——

dave.kilroy
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 858
Joined: Wed Jun 24, 2009 1:17 pm
Location: Plymouth, UK
Contact:

Re: Xcode 5.1 problem?

Post by dave.kilroy » Thu Mar 13, 2014 12:52 pm

Thanks Neil - I'll tell my Mac "No, No, No..."
"...this is not the code you are looking for..."

Dixie
Livecode Opensource Backer
Livecode Opensource Backer
Posts: 1336
Joined: Sun Jul 12, 2009 10:53 am
Location: Bordeaux, France

Re: Xcode 5.1 problem?

Post by Dixie » Thu Mar 13, 2014 1:39 pm

DRJ-UK...

You can build with xCode 5.0.2 and load onto your device running 7.1...

Dixie

DRJ-UK
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 73
Joined: Tue Aug 23, 2011 2:50 pm
Location: United Kingdom
Contact:

Re: Xcode 5.1 problem?

Post by DRJ-UK » Thu Mar 13, 2014 3:43 pm

Dixie

That is interesting... Trialling a build using Xcode 5.0.2 on an iPad with the new iOS 7.1 flagged up the message below:
iTunesScreenSnapz001.png
This was using Xcode Organizer to transfer. Hmm...

Dave
LiveCode: Versions 8.0, 8.1
Xcode: Version 7.3, 8.0
Mac OS X: 10.11.12 (macOS Sierra) on iMacs with 3.4 Intel Core i7 & 16GB Memory

Creating Apps for educational professionals, effective teaching and learning.

Dixie
Livecode Opensource Backer
Livecode Opensource Backer
Posts: 1336
Joined: Sun Jul 12, 2009 10:53 am
Location: Bordeaux, France

Re: Xcode 5.1 problem?

Post by Dixie » Thu Mar 13, 2014 8:44 pm

DRJ-UK..

Using LC 6.5.2, xCode 5.0.2 running in the sim and building and running on an iPhone 4 (iOS 7.1) has not been a problem.. I didn't try on my iPad, I shall this evening...

Dixie

hlowe
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 7
Joined: Wed Dec 05, 2012 5:56 am

Re: Xcode 5.1 problem?

Post by hlowe » Fri Mar 14, 2014 5:45 pm

After upgrading my iPad to iOS 7.1 I could no longer install iOS apps compiled under LC 6.5.2 using the xCode 5.0.2 organizer. That prompted my updating to xCode 5.1 and losing the ability to run LC apps in the iOS simulator. Hopefully RC2 will appear soon as developing without the iOS simulator is a problem.

thatkeith
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 257
Joined: Mon Mar 01, 2010 7:13 pm
Location: London, UK
Contact:

Re: Xcode 5.1 problem?

Post by thatkeith » Sat Mar 15, 2014 12:23 am

I'm getting *seriously* fed up with the Springboard crashes in iOS 7.0.4. The only thing holding me back from 7.1 (which is reportedly much better in that respect) is LiveCode. Testing random ideas in the simulator and on my own device is fun and addictive... here's hoping for a quick resolution! :)
Senior Lecturer, LCC (University of the Arts London)
Technical Editor, MacUser (1996-2015)
360 VR media specialist

DRJ-UK
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 73
Joined: Tue Aug 23, 2011 2:50 pm
Location: United Kingdom
Contact:

Re: Xcode 5.1 problem?

Post by DRJ-UK » Sat Mar 15, 2014 11:05 am

thatkeith wrote:I'm getting *seriously* fed up with the Springboard crashes in iOS 7.0.4.
Interesting you mention that. Was this on the simulator or the device?

We have a number of springboard crashes over the past few weeks when testing builds via the simulator, launched from LC 6.5.2. Looking forward to the next version of LC with the Xcode 5.1 fixes (and some of the other goodies of course).

The resolution independence feature is a great LC triumph from our point of view and we are gradually working through past Apps to optimise them for the retina display.

Dave
LiveCode: Versions 8.0, 8.1
Xcode: Version 7.3, 8.0
Mac OS X: 10.11.12 (macOS Sierra) on iMacs with 3.4 Intel Core i7 & 16GB Memory

Creating Apps for educational professionals, effective teaching and learning.

Post Reply

Return to “iOS Deployment”